package gov.va.med.edp.vo;

public class BigBoardDebugInfoVO {

	private String vistalinkIPAddress;
    private String vistalinkPort;
    private String siteId;
    private String machineName;	

	public BigBoardDebugInfoVO(String vistalinkIPAddress, String vistalinkPort) {
		super();
		this.vistalinkIPAddress = vistalinkIPAddress;
		this.vistalinkPort = vistalinkPort;
	}
    
	public BigBoardDebugInfoVO() {
		super();
	}
    
    public String getVistalinkIPAddress() {
		return vistalinkIPAddress;
	}



	public void setVistalinkIPAddress(String vistalinkIPAddress) {
		this.vistalinkIPAddress = vistalinkIPAddress;
	}



	public String getVistalinkPort() {
		return vistalinkPort;
	}



	public void setVistalinkPort(String vistalinkPort) {
		this.vistalinkPort = vistalinkPort;
	}



	public String getSiteId() {
		return siteId;
	}



	public void setSiteId(String siteId) {
		this.siteId = siteId;
	}



	public String getMachineName() {
		return machineName;
	}



	public void setMachineName(String machineName) {
		this.machineName = machineName;
	}


    public String toString() {
        return "<vistalinkConnectionInfo><vistalinkIPAddress>" + vistalinkIPAddress + "</vistalinkIPAddress>" +
                "<vistalinkPort>" + vistalinkPort + "</vistalinkPort>" +
                "<siteId>" + siteId + "</siteId>" +
                "<machineName>" + machineName + "</machineName>" +
                "</vistalinkConnectionInfo>";
    }
}
